Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.storage.inmemory
Class InMemoryRMDBeanMgr

    java.lang.Object
      org.apache.sandesha2.storage.inmemory.InMemoryRMDBeanMgr

All Implemented Interfaces:
  RMBeanManager, RMDBeanMgr

    public class InMemoryRMDBeanMgr

extends java.lang.Object
implements RMDBeanMgr

Field Summary
`protected InMemoryStorageManager` | `mgr`
`protected java.util.concurrent.ConcurrentHashMap<java.lang.String,T>` | `table`

Constructor Summary
`InMemoryRMDBeanMgr(InMemoryStorageManager mgr, org.apache.axis2.context.AbstractContext context)`

Method Summary
`protected T` | `delete(java.lang.Object key)`
`boolean` | `delete(java.lang.String sequenceId)`
`java.util.List<RMDBean>` | `find(RMDBean bean)`
`protected java.util.List<T>` | `findNoLock(T matchInfo)`
`RMDBean` | `findUnique(RMDBean bean)`
`protected T` | `findUniqueNoLock(RMBean matchInfo)`
`boolean` | `insert(RMDBean bean)`
`protected boolean` | `insert(java.lang.String key, T bean)`
`protected T` | `retrieve(java.lang.Object key)`
`RMDBean` | `retrieve(java.lang.String sequenceId)`
`java.util.Collection<RMDBean>` | `retrieveAll()`
`boolean` | `update(RMDBean bean)`
`protected boolean` | `update(java.lang.String key, T bean)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### table

    protected java.util.concurrent.ConcurrentHashMap<java.lang.String,T extends RMBean> table

### mgr

    protected InMemoryStorageManager mgr

Constructor Detail

### InMemoryRMDBeanMgr

    public InMemoryRMDBeanMgr(InMemoryStorageManager mgr,
                              org.apache.axis2.context.AbstractContext context)

Method Detail

### delete

    public boolean delete(java.lang.String sequenceId)
                   throws SandeshaStorageException

  Specified by:
    `delete` in interface `RMDBeanMgr`
  Throws:
    `SandeshaStorageException`

### retrieve

    public RMDBean retrieve(java.lang.String sequenceId)
                     throws SandeshaStorageException

  Specified by:
    `retrieve` in interface `RMDBeanMgr`
  Throws:
    `SandeshaStorageException`

### insert

    public boolean insert(RMDBean bean)
                   throws SandeshaStorageException

  Specified by:
    `insert` in interface `RMDBeanMgr`
  Throws:
    `SandeshaStorageException`

### find

    public java.util.List<RMDBean> find(RMDBean bean)
                                 throws SandeshaStorageException

  Specified by:
    `find` in interface `RMDBeanMgr`
  Throws:
    `SandeshaStorageException`

### update

    public boolean update(RMDBean bean)
                   throws SandeshaStorageException

  Specified by:
    `update` in interface `RMDBeanMgr`
  Throws:
    `SandeshaStorageException`

### retrieveAll

    public java.util.Collection<RMDBean> retrieveAll()
                                              throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### findUnique

    public RMDBean findUnique(RMDBean bean)
                       throws SandeshaStorageException

  Specified by:
    `findUnique` in interface `RMDBeanMgr`
  Throws:
    `SandeshaStorageException`

### insert

    protected boolean insert(java.lang.String key,
                             T bean)
                      throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### delete

    protected T delete(java.lang.Object key)
                               throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### retrieve

    protected T retrieve(java.lang.Object key)
                                 throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### update

    protected boolean update(java.lang.String key,
                             T bean)
                      throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### findNoLock

    protected java.util.List<T> findNoLock(T matchInfo)
                                                   throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### findUniqueNoLock

    protected T findUniqueNoLock(RMBean matchInfo)
                                         throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.